Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultStandardRouteAndRouteOfAdministrationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultStandardRouteType
be.fgov.ehealth.dics.protocol.v5.ConsultStandardRouteAndRouteOfAdministrationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultStandardRouteAndRouteOfAdministrationType extends ConsultStandardRouteType implements Serializable

Java class for ConsultStandardRouteAndRouteOfAdministrationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardRouteAndRouteOfAdministrationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultStandardRouteType">
           <sequence>
             <element name="RouteOfAdministrationCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultStandardRouteAndRouteOfAdministrationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getRouteOfAdministrationCodes()`
  Gets the value of the routeOfAdministrationCodes property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.ConsultStandardRouteType

  `getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultStandardRouteAndRouteOfAdministrationType

    public ConsultStandardRouteAndRouteOfAdministrationType()

- ## Method Details

  - ### getRouteOfAdministrationCodes

    public List<String> getRouteOfAdministrationCodes()
    Gets the value of the routeOfAdministrationCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrationCodes property.

    For example, to add a new item, do as follows:

         getRouteOfAdministrationCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the routeOfAdministrationCodes property.